Weibo Search
Search Weibo using a mobile search URL to retrieve posts, users, and content matching a keyword or hashtag.
Status: Degraded
Credit cost: 1 credit per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
A Weibo search URL.
Example:
https://m.weibo.cn/search?containerid=231522type%3D1%26t%3D10%26q%3D%23%E8%B0%A2%E8%B0%A2%E4%BD%A0%E4%BB%AC%23Generate search URLs from the Weibo mobile search interface (m.weibo.cn) and copy the URL.
page?number
Page number for paginating through search results.
Note: Increment the page number to retrieve subsequent pages of results.
Default
"1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/weibo/search?query=string"{
"response": [
{
"card_type": 11,
"show_type": 0,
"card_group": [
{
"users": [
{
"id": 1783643950,
"gender": "f",
"screen_name": "E米1",
"verified": false,
"follow_count": 361,
"statuses_count": 1829,
"followers_count": "238",
"profile_url": "https://m.weibo.cn/u/1783643950?",
"profile_image_url": "https://tvax4.sinaimg.cn/crop.0.0.996.996.180/6a503f2ely8g94d5s1tifj20ro0rotbg.jpg"
}
]
}
]
}
]
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}